"use client";

import {
  DirectionProvider as BaseDirectionProvider,
  useDirection as useBaseDirection,
} from "@base-ui/react/direction-provider";
import type { ComponentProps } from "react";

function DirectionProvider(
  props: ComponentProps<typeof BaseDirectionProvider>
) {
  return <BaseDirectionProvider {...props} />;
}

function useDirection() {
  return useBaseDirection();
}

export { DirectionProvider, useDirection };
